## monotone 0.1.0

=== DESCRIPTION ===
Package: monotone
Type: Package
Title: Performs Monotone Regression
Version: 0.1.0
Authors@R: c(person(given = "Frank", family = "Busing",  
        role = c("aut", "cre"), 
        email = "busing@fsw.leidenuniv.nl"), 
        person("Juan", "Claramunt Gonzalez", 
        role = "aut", 
        email = "j.claramunt.gonzalez@fsw.leidenuniv.nl"))
Author: Frank Busing [aut, cre],
  Juan Claramunt Gonzalez [aut]
Maintainer: Frank Busing <busing@fsw.leidenuniv.nl>
Description: A fast up-and-down-blocks implementation for the pool-adjacent-violators algorithm 
  for simple linear ordered monotone regression, including two spin-off functions
  for unimodal and bivariate monotone regression.
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.0
NeedsCompilation: yes
Packaged: 2021-03-08 13:48:36 UTC; jclaramunt
Repository: CRAN
Date/Publication: 2021-03-10 19:40:02 UTC
