## monotone 0.1.1

=== DESCRIPTION ===
Package: monotone
Type: Package
Title: Performs Monotone Regression
Version: 0.1.1
Authors@R: c(person(given = "Frank", family = "Busing",  
        role = c("aut", "cre"), 
        email = "busing@fsw.leidenuniv.nl"), 
        person("Juan", "Claramunt Gonzalez", 
        role = "aut", 
        email = "j.claramunt.gonzalez@fsw.leidenuniv.nl"))
Author: Frank Busing [aut, cre],
  Juan Claramunt Gonzalez [aut]
Maintainer: Frank Busing <busing@fsw.leidenuniv.nl>
Description: The monotone package contains a fast up-and-down-blocks implementation for the pool-adjacent-violators algorithm 
  for simple linear ordered monotone regression, including two spin-off functions
  for unimodal and bivariate monotone regression (see <doi:10.18637/jss.v102.c01>).
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2022-05-25 08:45:42 UTC; jclaramunt
Repository: CRAN
Date/Publication: 2022-05-25 09:20:02 UTC
