## monotone 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: monotone
 Type: Package
 Title: Performs Monotone Regression
-Version: 0.1.1
+Version: 0.1.2
 Authors@R: c(person(given = "Frank", family = "Busing",  
         role = c("aut", "cre"), 
         email = "busing@fsw.leidenuniv.nl"), 
@@ -18,6 +18,6 @@
 Encoding: UTF-8
 RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2022-05-25 08:45:42 UTC; jclaramunt
+Packaged: 2022-05-25 12:15:57 UTC; jclaramunt
 Repository: CRAN
-Date/Publication: 2022-05-25 09:20:02 UTC
+Date/Publication: 2022-05-25 14:00:02 UTC
