## monotone 1.0

=== debian/changelog ===
monotone (1.0-9) unstable; urgency=low

  * Add patches/08-texinfo-fix.diff. Sanitizes .texi files. Closes: #712340.
  * Add patches/09-ignore-aggressive-gnu-patch.diff to allow a test to
    pass in the face of a newer GNU patch version.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 16 Jul 2013 23:57:44 +0200

monotone (1.0-8) unstable; urgency=low

  * Upload to unstable.
  * Enable patches/07-support-boost-1.53.diff
  * Add myself as an Uploader.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 24 May 2013 17:16:14 +0200

monotone (1.0-7) experimental; urgency=low

  * Team upload.
  * Fix compilation on hurd, back-porting an upstream fix in
    patches/05-hurd-compilation-fix.diff. Closes: #624779.
  * Add Brazilian Portuguese translation by Adriano Rafael Gomes.
    Closes: #693378.
  * Add work-around to skip a test in case we are behind a broken DNS
    gateway. Closes: #671080.
  * Standards-Version: 3.9.4 (no changes required).
  * Drop build dependencies on quilt and patch.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 15 Mar 2013 22:05:37 +0100

monotone (1.0-6) unstable; urgency=low

  * patches/04-botan-1.10-adaption.diff: Backport upstream fix for
    building and running with Botan-1.10.x.
  * Change debian/control to link against Botan 1.10. Closes: #359050.
  * Adjust Build-Depends debhelper to require version >= 9 as well.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 29 Apr 2012 14:19:41 +0200

monotone (1.0-5) unstable; urgency=low

  * Switch to debhelper compatibility level 9. Most importantly, this
    causes dh_auto_* to set the environment variables listed by
    dpkg-buildflags that are no longer set by dpkg-buildpackage. 
  * patches/01-format-security.diff: Backport upstream fix for building 
    with hardened Debian build flags. Closes: #646349. 
  * patches/02-file_handle.diff: Backport upstream fix for name clash
    between monotone's "file_handle" struct and the one defined in
    "fcntl.h" from (e)glibc >=2.14.
  * patches/03-url_escaping.diff: Backport upstream fix for non-escaped URLs
    being passed to monotone in its test suite.  Closes: #668457.

 -- Francis Russell <francis@unchartedbackwaters.co.uk>  Sat, 28 Apr 2012 15:48:34 +0100

monotone (1.0-4) unstable; urgency=low

  * patches/10-mtn-ignore-syntax-error-test.diff: The version of pcre3
    in unstable (1:8.30-4) treats a regular expression used in one of
    the monotone tests differently from previous versions, causing the
    test to fail. See the patch for more information. Closes: 665448.

 -- Francis Russell <francis@unchartedbackwaters.co.uk>  Sun, 25 Mar 2012 20:15:06 +0100

monotone (1.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #650852
    - Polish (Michał Kułach).  Closes: #662920

 -- Christian Perrier <bubulle@debian.org>  Fri, 16 Mar 2012 07:01:02 +0100

monotone (1.0-3) unstable; urgency=low

  [Francis Russell]
  * debian/po/fr.po: minor fix to the French Debconf translation
    (closes: #623226). 
  * debian/NEWS: update version of most recent entry to 1.0-1 to keep
    Lintian happy.
  * debian/watch: update regular expression to avoid including the file
    suffix in the version number reported by uscan. 
  * debian/control: Update Vcs-Browser field to point to Debian
    packaging instead of upstream development and add Vcs-Mtn field
    (closes: #638501).
  * Standards-Version: 3.9.2 (no changes required). 

  [Ludovic Brenta]
  * Tighten build-dependencies to libbotan1.8-dev (>= 1.8.13-4).
    Closes: #635776.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 23 Sep 2011 23:46:49 +0200

monotone (1.0-2) unstable; urgency=low

  * debian/watch: also check for bzip2 compressed monotone releases.
  * debian/rules: disable parallel builds since they have been observed
    to cause make to enter an infinite loop (closes: #623734).

 -- Francis Russell <francis@unchartedbackwaters.co.uk>  Sat, 30 Apr 2011 03:57:31 +0100

monotone (1.0-1) unstable; urgency=low

  [ Richard Levitte ]
  * New upstream release (closes: #622954).
  * New package produced, monotone-extras.
  * debian/patches/00-fail_cleanly_on_unreadable_db.diff,
  * debian/patches/10-sqlite_3.7.3_empty_blob.diff,
  * debian/patches/20-empty-command.diff: removed, merged upstream.
  * debian/monotone-server.postinst: updated because 0.99 has another need
    for database migration.  Changed all occurences of --norc to
    --no-standard-rcfiles.
  * debian/monotone-server.monotone.init: changed all occurences of --norc
    to --no-standard-rcfiles.
  * rules: rewritten to use dh.
  * nofakeroot: added script that runs a command after temporarly disabling
    the effects of fakeroot.  We need this because we build via the binary /
    binary-arch / binary-indep targets, and they are run via fakeroot, which
    is not recommended for certain build targets.
  * monotone-server.monotone.init: Small adaptation, the startup lua
    script changed name from hooks.lua to serverrc.
  * Remove the monotone user and group on purge, only if
    /var/lib/monotone and /var/run/monotone have been successfully
    removed.
  * debian/control: Change the package descriptions not to start with "A".
    (removes lintian warning description-synopsis-starts-with-article)

  [ Francis Russell ]
  * Make monotone-doc suggest monotone instead of require.
  * Update Vcs-Browser field to point to new source management front-end.
  * Install manual page auto-generated during build instead of outdated version.
  * Attempt deletion of /var/run/monotone and /etc/monotone on purge.
  * Add successful removal of /etc/monotone as condition for removal of
    monotone user and group as well.
  * debian/patches/00-db-extension-bash-completion.diff: new, backported
    from upstream to support both "mtn" and "db" file extensions for
    databases.
  
  [Ludovic Brenta]
  * debian/patches/30-french-po-translation.diff: remove, merged upstream.


