=== debian/control ===
Source: monotone
Section: vcs
Priority: optional
Maintainer: Debian Maintainers for Monotone <monotone-debian@nongnu.org>
Uploaders: Richard Levitte <richard@levitte.org>,
 Zack Weinberg <zackw@panix.com>, Ludovic Brenta <lbrenta@debian.org>,
 Francis Russell <francis@unchartedbackwaters.co.uk>,
 Markus Wanner <markus@bluegap.ch>
Homepage: http://monotone.ca/
Vcs-Browser: https://code.monotone.ca/p/debian-mtn/source/tree/h:org.debian.monotone/
Vcs-Mtn: mtn://monotone.ca/debian-mtn?org.debian.monotone
Build-Depends: debhelper (>= 9), autotools-dev, po-debconf, bind9-host,
 libboost-dev, libbotan1.10-dev, libidn11-dev, liblua5.1-0-dev,
 libpcre3-dev, libsqlite3-dev, libz-dev, texinfo, expect, bash-completion,
 bash (>= 4.0), source-highlight, mime-construct
Build-Depends-Indep: poppler-utils | xpdf-utils, ps2eps,
 texlive-generic-recommended, texlive-latex-base
Standards-Version: 3.9.4

Package: monotone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bash (>= 4.0)
Suggests: monotone-doc, monotone-server
Recommends: monotone-extras
Description: Distributed version (revision) control system
 Monotone is a free, distributed version control system. It provides
 fully disconnected operation, manages complete tree versions, keeps
 its state in a local transactional database, supports overlapping
 branches and extensible metadata, uses an efficient peer-to-peer
 network protocol, performs history-sensitive merging, and delegates
 trust functions to client-side RSA certificates.

Package: monotone-extras
Architecture: all
Depends: ${misc:Depends}, monotone (>= ${source:Version})
Recommends: mime-construct, source-highlight, perl, python
Description: Distributed version (revision) control system - extras
 Monotone is a free, distributed version control system. It provides
 fully disconnected operation, manages complete tree versions, keeps
 its state in a local transactional database, supports overlapping
 branches and extensible metadata, uses an efficient peer-to-peer
 network protocol, performs history-sensitive merging, and delegates
 trust functions to client-side RSA certificates.
 .
 This package contains scripts, monotone hooks and more:
 .
   * mtn-cleanup
     (please install perl to use this)
   * monotone-mail-notify.lua + monotone-mail-notify
     (please install mime-construct and source-highlight to use this)
   * get_passphrase_from_file.lua
   * authorize_remote_automate.lua

Package: monotone-server
Architecture: all
Depends: monotone (>= ${source:Version}), 
 monotone-extras (>= ${source:Version}), adduser, ucf (>= 0.28), 
 lsb-base (>= 3.0-6), ${misc:Depends}
Description: Distributed version (revision) control system - server scripts
 Monotone is a free, distributed version control system. It provides
 fully disconnected operation, manages complete tree versions, keeps
 its state in a local transactional database, supports overlapping
 branches and extensible metadata, uses an efficient peer-to-peer
 network protocol, performs history-sensitive merging, and delegates
 trust functions to client-side RSA certificates.
 .
 This package contains scripts to facilitate running a monotone server.

Package: monotone-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: monotone
Description: Distributed version (revision) control system - documentation
 Monotone is a free, distributed version control system. It provides
 fully disconnected operation, manages complete tree versions, keeps
 its state in a local transactional database, supports overlapping
 branches and extensible metadata, uses an efficient peer-to-peer
 network protocol, performs history-sensitive merging, and delegates
 trust functions to client-side RSA certificates.
 .
 This package contains the documentation for monotone in Info, HTML, and PDF
 formats.
