## monotone 1.1

=== debian/changelog ===
monotone (1.1-9) unstable; urgency=medium

  * Disable test log_dirs which fails intermittently for unknown
    reasons.
  * Bump Standards-Version; no changes required.
  * Add patch 54-spelling-fixes.diff to get rid of most spelling
    errors that lintian reports.
  * Enable all hardening options.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 11 Jul 2016 13:02:50 +0200

monotone (1.1-8) unstable; urgency=medium

  * Add patch 52-negative_number_fix.diff fixing an issue uncovered
    with defaults of new sqlite versions. Closes: #826340.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 04 Jun 2016 21:07:19 +0200

monotone (1.1-7) unstable; urgency=medium

  * Modify patch 51-sigpipe-test.diff: increase bytes written to 1M to
    increase chances to overflow the pipe buffer even further.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 15 Nov 2015 18:14:19 +0100

monotone (1.1-6) unstable; urgency=medium

  * Patch Makefile.am to not rebuild NLS (i.e. pot and po files) so as
    to generate more reproducible builds. Drop a patch that helped NLS
    rebuilds (11-no-gettext-on-lua.diff), which obviously isn't
    necessary if not rebuilding.
  * Run just the clean target, not distclean, as the latter removes the
    generated and distributed gmo files.
  * Add patch 14-correct-bashcomp-path.diff to correct the installation
    location of the bash completion data.
  * Add patch 51-sigpipe-test.diff attempting to fix an FTBFS (#797386)
  * Bump S-V: no changes needed.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 17 Sep 2015 23:15:52 +0200

monotone (1.1-5) unstable; urgency=medium

  * Patch build system to allow the build date to be set externally,
    and set it to the latest debian/changelog entry for reproducibility.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 15 Sep 2015 22:03:42 +0200

monotone (1.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to missing #include <iostream>. Closes: #796734

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 26 Aug 2015 12:48:57 +0000

monotone (1.1-4) unstable; urgency=medium

  * Allow compilation against lua version 5.2, if available.
  * Add build dependency on cm-super-minimal to have the necessary fonts
    available to generate the documentation PDF.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 24 Jun 2014 22:36:03 +0200

monotone (1.1-3) unstable; urgency=medium

  * Reintroduce the overrid_dh_installdocs rule. Closes: #749348.
  * Add patch 00-copyright-clarification.diff, granting the right to
    distribute two files under GPL-2, which were marked GPL-3+, before.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 10 Jun 2014 21:13:20 +0200

monotone (1.1-2) unstable; urgency=low

  * Disable network tests, again, as we still have issues with some of
    those tests on some of the buildd hosts.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 06 May 2014 11:28:15 +0200

monotone (1.1-1) unstable; urgency=low

  * New upstream release
  * Drop all patches from upstream commits now integrated: from patch
    numbered 00 through 10.
  * Give the documentation its own directory in /usr/share/doc, so
    monotone-doc doesn't need to depend on monotone, anymore.
  * Enable network tests, again, to see how well 1.1 behaves on buildd.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 05 May 2014 08:45:49 +0200

monotone (1.0-12) unstable; urgency=medium

  * Add texlive-fonts-recommended as a B-D-I. Closes: #735933.
  * Bump Standards-Version to 3.9.5; no changes required.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 27 Feb 2014 11:44:07 +0100

monotone (1.0-11) unstable; urgency=low

  * Really invoke autoreconf prior to configure, now.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 10 Aug 2013 08:24:53 +0200

monotone (1.0-10) unstable; urgency=low

  * Add patches/11-no-gettext-on-lua.diff, remove a lua file from gettext
    invocation.
  * Add a full description and 'status' capabilities to the monotone-server
    init script.
  * Honor nocheck in DEB_BUILD_OPTIONS.
  * Invoke autoreconf prior to configure. Allows us to patch Makefile.am
    directly and helps with the out-of-date config.guess file.
  * Add source/options extend-diff-ignore.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 08 Aug 2013 23:38:55 +0200
