=== debian/rules ===
--- 
+++ 
@@ -48,15 +48,28 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
+# Enable all hardening features.
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Use the date of the last changelog entry as the build date to
+# get reproducible builds.
+export BUILD_DATE = $(shell LC_ALL=C \
+	date -u --date="`dpkg-parsechangelog -SDate`" +'%Y-%m-%d')
+
 # It is desirable to be able to pass the "--parallel" option to dh.
 # Unfortunately, parallel builds of monotone currently cause make to
 # enter an infinite loop. When the cause has been determined and
 # resolved, this option should be re-enabled.
 %:
-	dh $@ --with=bash_completion
+	dh $@ --with=bash_completion,autoreconf
 
 override_dh_auto_configure:
 	debian/nofakeroot dh_auto_configure
+
+override_dh_auto_clean:
+	test ! -f Makefile || $(MAKE) -C $(CURDIR) clean
+	rm -rf config.h config.guess stamp-h1 config.status Makefile
+
 # To enable documentation to only be built for the monotone-doc
 # package (really, any -indep target), we need to make sure all
 # relevant dh_auto_* calls behave differently for arch and indep
@@ -78,14 +91,18 @@
 export MTN_STACKTRACE_ON_CRASH = 1
 
 override_dh_auto_test:
+#	While dh_auto_test checks for 'nocheck', running it through
+#	nofakeroot seems to confuse it. So we do the check, here.
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	debian/nofakeroot dh_auto_test -pmonotone -- INFO_DEPS='' || \
 	    sh extra/building/dump-test-logs.sh
+endif
 
 override_dh_auto_install:
 	dh_auto_install -Nmonotone-doc -- INFO_DEPS=''
 	dh_auto_install -pmonotone-doc
 
-	# monotone-server uses these
+#	monotone-server uses these
 	mkdir -p debian/tmp/usr/share/monotone
 	for x in read-permissions write-permissions server-setup/serverrc; do \
 		cp -p examples/$$x debian/tmp/usr/share/monotone/$${x##*/}.base; \
@@ -101,12 +118,16 @@
 override_dh_installchangelogs:
 	dh_installchangelogs -X ChangeLog
 
-# colorize seems to compress to something weird, Lintian keeps warning about it
-# PDFs should generally not be compressed.
+# colorize seems to compress to something weird, Lintian keeps warning
+# about it. PDFs should generally not be compressed.
 override_dh_compress:
 	dh_compress -Xcolorize -X.pdf
 
-# For now, we link /usr/share/doc/monotone-doc to /usr/share/doc/monotone
+# For now, we link /usr/share/doc/monotone-doc to /usr/share/doc/monotone.
+#
+# Note that the monotone-server postinst script relies on
+# /usr/share/doc/monotone-server being a symlink (or an empty
+# directory after removal).
 override_dh_installdocs:
 	dh_installdocs --link-doc=monotone
